# $Revision: 1.35 $, $Date: 2007-11-15 16:36:05 $
#
# Conditional build:
%bcond_without	mp1e	# without MP1E backend
#
%ifnarch %{ix86}
%undefine	with_mp1e
%endif
Summary:	Real Time Software Video/Audio Encoder library
Summary(pl.UTF-8):	Programowa biblioteka kodera audio/wideo czasu rzeczywistego
Name:		rte
Version:	0.5.6
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/zapping/%{name}-%{version}.tar.bz2
# Source0-md5:	6259cdff255af71c23a4576e7c5664a0
URL:		http://zapping.sourceforge.net/
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Real Time Software Video/Audio Encoder library.

%description -l pl.UTF-8
Programowa biblioteka kodera audio/wideo czasu rzeczywistego.

%package devel
Summary:	rte library development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki rte
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
rte library development files.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki rte.

%package static
Summary:	rte static library
Summary(pl.UTF-8):	Biblioteka statyczna rte
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
rte static library.

%description static -l pl.UTF-8
Statyczna biblioteka rte.

%prep
%setup -q
#%patch -p1
rm -f m4/{[!a]*,as}.m4
# needed by automake
install -d mp1e/{macros,vbi,devices,test}

# workaround for test at the end of configure (to not return 1)
touch mp1e/configure.in

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-divx4linux \
	%{!?with_mp1e:--without-mp1e} \
%ifnarch %{ix86}
	--without-ffmpeg
# included ffmpeg is modified (has "ticker" hacks), so cannot use system one
# and this version supports only x86 unlike system version...
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rte.spec,v $
Revision 1.35  2007-11-15 16:36:05  hawk
- modular xorg deps, release 2

Revision 1.34  2007-02-12 22:09:13  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.32  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.31  2005/11/27 18:55:04  zbyniu
- BR: libstdc++-devel

Revision 1.30  2005/06/27 01:16:07  saq
- up to 0.5.6

Revision 1.29  2004/10/31 20:14:56  paladine
- spaces->tabs
- formatting

Revision 1.28  2004/05/24 20:54:21  qboosh
- updated to 0.5.2 (bugfix release)

Revision 1.27  2004/04/21 17:04:03  qboosh
- reverted mp1e-common, it won't work, mp1e code must be linked into librte
  (librte has version script which prevents namespace pollution, removing
  symbols needed by libmp1e_common)

Revision 1.26  2004/04/21 10:38:16  krzak
- rel 2

Revision 1.25  2004/04/18 23:02:55  qboosh
- -devel R: mp1e-devel (conditionally), strict internal deps

Revision 1.24  2003/11/11 00:56:29  qboosh
- added patch to use shared libmp1e_common; cannot use system ffmpeg

Revision 1.23  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/05/28 13:01:42  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:26:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.19  2003/01/05 20:17:28  aflinta
- updated to version 0.5.1

Revision 1.18  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/10/25 11:58:53  marcus
- rel.2., finished, it isn't ix86 only now

Revision 1.16  2002/10/25 11:49:49  marcus
- starting to compile without divx4linux (commercial libs)

Revision 1.15  2002/10/11 16:41:49  misiek
- updated to 0.5

Revision 1.14  2002/10/08 08:38:22  qboosh
- fixed -static pl description; BR: autoconf,automake,libtool; release 4

Revision 1.13  2002/06/23 20:32:35  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:14:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/05/12 09:15:00  kloczek
- fixes in %files.

Revision 1.10  2002/05/12 08:03:04  kloczek
- cosmetics.

Revision 1.9  2002/04/17 17:41:10  marcus
- this package is ix86 only (asm!!!)
- rel.3.

Revision 1.8  2002/04/04 01:16:53  saq
- fixed _mp1e_version (it's 1.9.2 now)
- release 2

Revision 1.7  2002/03/13 10:07:36  aflinta
 - updated to version 0.4

Revision 1.6  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/21 20:01:45  kloczek
- exclude alsa-lib-devel BuildRequire rule on sparc*, ppc,
- cosmetics.

Revision 1.3  2001/10/21 18:45:03  misiek
- updated to 0.3.1

Revision 1.2  2001/09/13 05:53:52  saq
- pl translations
- fixed RPM groups
- BuildRequires: {esound,alsa-lib}-devel
- rerun %%configure2_13 in mp1e directory
- cleanups
- STB

Revision 1.1  2001/08/30 11:49:17  pascalek
- initial revision
